<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <title>UCV - <xsl:value-of select="/character/name/text()"/></title>
                <style type="text/css">
                    BODY 
                    {
                    font-size:100%;  /* default font size is 16 pixels */
                    font-family:sans-serif;
                    } 
                    H1 { color: #336600 }
                    H1 { font-style: italic }
                    H2 { color: #336600 }
                    strong { color: #336600 }
                    strong { font-style: italic }
                    em.g { 
                    color: white;
                    background-color: silver;
                    font-style: italic }
                    td { font-size: 0.75em }
                </style>
            </head>
            <body>
                <table width="100%">
                    <tr>
                        <td><strong>Name: </strong><xsl:value-of select="/character/name/text()"/></td>
                        <td><strong>Player: </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Player']/text()"/></td>
                        <td><strong>Concept: </strong>
                            <xsl:value-of select="/character/datablock[@name='Description']/data[@name='Concept']/text()"/></td>
                    </tr>
                    <tr>
                        <td><strong>Virtue: </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Virtue']/text()"/>
                            <strong> Vice: </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Vice']/text()"/></td>
                        <td><strong>Chronicle: </strong><xsl:value-of select="/character/campaign/text()"/></td>
                        <td><strong>Auspice/Lodge: </strong>
                            <xsl:value-of select="/character/datablock[@name='Description']/data[@name='Auspice']/text()"/> / <xsl:value-of select="/character/datablock[@name='Description']/data[@name='Lodge']/text()"/></td>
                    </tr>
                    <tr>
                        <td colspan="3"><strong>Tribe: </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Tribe']/text()"/></td>
                    </tr>
                </table>
                <table width="100%">
                    <tr>
                        <td><strong>Age </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Age']/text()"/></td>
                        <td><strong>Height </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Height']/text()"/></td>
                        <td><strong>Weight </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Weight']/text()"/></td>
                        <td><strong>Date of Birth </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Date of Birth']/text()"/></td>
                        <td><strong>Hair </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Hair']/text()"/></td>
                    </tr>
                    <tr>
                        <td><strong>Eyes </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Eyes']/text()"/></td>
                        <td><strong>Race </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Race']/text()"/></td>
                        <td><strong>Nationality </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Nationality']/text()"/></td>
                        <td><strong>Gender </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Gender']/text()"/></td>
                        <td><strong>Other </strong><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Other']/text()"/></td>
                    </tr>
                </table>
                <table width="100%">
                    <tr>
                        <th colspan="7">Attributes</th>
                    </tr>
                    <tr>
                        <td><em class="g">Power</em></td>
                        <td align="right"><strong>Intelligence</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Intelligence']/text()"/></td>
                        <td align="right"><strong>Strength</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Strength']/text()"/></td>
                        <td align="right"><strong>Presence</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Presence']/text()"/></td>
                    </tr>
                    <tr>
                        <td><em class="g">Finesse</em></td>
                        <td align="right"><strong>Wits</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Wits']/text()"/></td>
                        <td align="right"><strong>Dexterity</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Dexterity']/text()"/></td>
                        <td align="right"><strong>Manipulation</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Manipulation']/text()"/></td>
                    </tr>
                    <tr>
                        <td><em class="g">Resistance</em></td>
                        <td align="right"><strong>Resistance</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Resolve']/text()"/></td>
                        <td align="right"><strong>Stamina</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Stamina']/text()"/></td>
                        <td align="right"><strong>Composure</strong></td>
                        <td><xsl:value-of select="/character/datablock[@name='Attributes']/data[@name='Composure']/text()"/></td>
                    </tr>
                </table>
                    <table>
                        <tr>
                            <td width="33%" valign="top">
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Mental</th>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="center">(-3 Unskilled)</td>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Mental Abilities']/data">
                                        <tr>
                                            <xsl:if test="text() != ''">
                                                <td valign="top"><xsl:value-of select="@name"/></td>
                                                <xsl:choose>
                                                    <xsl:when test="@name='Specialties'">
                                                        <td align="right" valign="top"><em><xsl:value-of select="text()"/></em></td>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <td align="right" valign="top"><xsl:value-of select="text()"/></td>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:if>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Physical</th>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="center">(-1 Unskilled)</td>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Physical Abilities']/data">
                                        <tr>
                                            <xsl:if test="text() != ''">
                                                <td valign="top"><xsl:value-of select="@name"/></td>
                                                <xsl:choose>
                                                    <xsl:when test="@name='Specialties'">
                                                        <td align="right" valign="top"><em><xsl:value-of select="text()"/></em></td>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <td align="right" valign="top"><xsl:value-of select="text()"/></td>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:if>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Social</th>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="center">(-1 Unskilled)</td>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Social Abilities']/data">
                                        <tr>
                                            <xsl:if test="text() != ''">
                                                <td valign="top"><xsl:value-of select="@name"/></td>
                                                <xsl:choose>
                                                    <xsl:when test="@name='Specialties'">
                                                        <td align="right" valign="top"><em><xsl:value-of select="text()"/></em></td>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <td align="right" valign="top"><xsl:value-of select="text()"/></td>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </xsl:if>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                            </td>
                            <td width="33%" valign="top">
                                <table width="100%">
                                    <tr>
                                        <th>Other Traits</th>
                                    </tr>
                                    <tr>
                                        <td>Size:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Size']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Defense:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Defense']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Initiative:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Initiative']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Armor:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Armor']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Speed:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Speed']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Perception:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Perception']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Merits</th>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Merits']/data">
                                        <tr>
                                            <xsl:if test="@renamed != ''">
                                                <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                <td valign="top" align="right"><xsl:value-of select="text()"/></td>
                                            </xsl:if>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Flaws</th>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Flaws']/data">
                                        <xsl:if test="@renamed != 'Flaw'">
                                            <xsl:if test="@renamed != ''">
                                                <tr>
                                                    <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                    <td valign="top"><xsl:value-of select="text()"/></td>
                                                </tr>
                                            </xsl:if>
                                        </xsl:if>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Gifts</th>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Gifts']/data">
                                        <tr>
                                            <xsl:if test="@renamed != ''">
                                                <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                <td valign="top" align="right"><xsl:value-of select="text()"/></td>
                                            </xsl:if>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Rites</th>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Rites']/data">
                                        <xsl:if test="@renamed != ''">
                                            <xsl:if test="@renamed != 'Rite'">
                                                <tr>
                                                   <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                   <td valign="top" align="right"><xsl:value-of select="text()"/></td>
                                                </tr>
                                                </xsl:if>
                                            </xsl:if>
                                    </xsl:for-each>
                                </table>
                            </td>
                            <td valign="top">
                                <img src="portrait.png" alt="Portrait" width="100%"/><br />
                                <table width="100%">
                                    <tr>
                                        <td align="right"><strong>Health </strong></td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Health']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td align="right">Damage: </td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Damage Taken']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <td align="right"><strong>Willpower </strong></td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Willpower']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td align="right">Spent: </td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='WP Spent']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <td align="center"><strong>Primal Urge </strong>
                                            <xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Primal Urge']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <td align="right"><strong>Essence </strong></td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Essence']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Essence Spent']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <td align="right"><strong>Harmony</strong></td>
                                        <td align="center"><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Harmony']/text()"/></td>
                                    </tr>
                                </table>
                                <xsl:if test="/character/datablock[@name='Secondary Attributes']/data[@name='Derangements']/text() != ''">
                                   <table width="100%">
                                       <tr>
                                           <th>Derangements</th>
                                       </tr>
                                       <tr>
                                           <td><xsl:value-of select="/character/datablock[@name='Secondary Attributes']/data[@name='Derangements']/text()"/></td>
                                       </tr>
                                   </table>
                                </xsl:if>
                                <table width="100%">
                                    <tr>
                                        <th>Auspice Ability</th>
                                    </tr>
                                    <tr>
                                        <td><xsl:value-of select="/character/datablock[@name='Description']/data[@name='Auspice Ability']/text()"/></td>
                                    </tr>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Equipment</th>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Equipment']/data">
                                        <xsl:if test="@renamed != ''">
                                            <xsl:if test="@renamed != 'Equipment'">
                                                <tr>
                                                    <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                    <td valign="top"><xsl:value-of select="text()"/></td>
                                                </tr>
                                            </xsl:if>
                                        </xsl:if>
                                    </xsl:for-each>
                                </table>
                                <table width="100%">
                                    <tr>
                                        <th colspan="2">Experience</th>
                                    </tr>
                                    <tr>
                                        <td>Saved:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Experience']/data[@name='Experience Saved']/text()"/></td>
                                    </tr>
                                    <tr>
                                        <td>Spent:</td>
                                        <td><xsl:value-of select="/character/datablock[@name='Experience']/data[@name='Experience Spent']/text()"/></td>
                                    </tr>
                                    <xsl:for-each select="/character/datablock[@name='Experience Record']/data">
                                        <tr>
                                            <xsl:choose>
                                                <xsl:when test="@renamed != ''">
                                                    <td valign="top"><xsl:value-of select="@renamed"/></td>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <td valign="top"><xsl:value-of select="@name"/></td>>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                            <td valign="top"><xsl:value-of select="text()"/></td>
                                        </tr>
                                    </xsl:for-each>
                                </table>
                            </td>
                        </tr>
                    </table>
                <table border="0" width="100%">
                    <tr>
                        <th>Dalu</th>
                        <th>Gauru</th>
                        <th>Urshul</th>
                        <th>Urhan</th>
                    </tr>
                    <tr>
                        <td align="center">(Near Human)</td>
                        <td align="center">(Wolf-Man)</td>
                        <td align="center">(Near-Wolf)</td>
                        <td align="center">(Wolf)</td>
                    </tr>
                    <tr>
                        <td>Strength: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Strength']/text()"/></td>
                        <td>Strength: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Strength']/text()"/></td>
                        <td>Strength: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Strength']/text()"/></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Dexterity: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Dexterity']/text()"/></td>
                        <td>Dexterity: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Dexterity']/text()"/></td>
                        <td>Dexterity: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Dexterity']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Stamina: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Stamina']/text()"/></td>
                        <td>Stamina: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Stamina']/text()"/></td>
                        <td>Stamina: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Stamina']/text()"/></td>
                        <td>Stamina: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Stamina']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Manipulation: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Manipulation']/text()"/></td>
                        <td></td>
                        <td>Manipulation: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Manipulation']/text()"/></td>
                        <td></td>                        
                    </tr>
                    <tr>
                        <td>Size: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Size']/text()"/></td>
                        <td>Size: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Size']/text()"/></td>
                        <td>Size: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Size']/text()"/></td>
                        <td>Size: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Size']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Defense: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Defense']/text()"/></td>
                        <td>Defense: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Defense']/text()"/></td>
                        <td>Defense: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Defense']/text()"/></td>
                        <td>Defense: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Defense']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Initiative: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Initiative']/text()"/></td>
                        <td>Initiative: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Initiative']/text()"/></td>
                        <td>Initiative: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Initiative']/text()"/></td>
                        <td>Initiative: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Initiative']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Speed: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Speed']/text()"/></td>
                        <td>Speed: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Speed']/text()"/></td>
                        <td>Speed: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Speed']/text()"/></td>
                        <td>Speed: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Speed']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Armor: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Armor']/text()"/></td>
                        <td>Armor: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Armor']/text()"/></td>
                        <td>Armor: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Armor']/text()"/></td>
                        <td>Armor: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Armor']/text()"/></td>
                    </tr>
                    <tr>
                        <td>Perception: <xsl:value-of select="/character/datablock[@name='Dalu Form']/data[@name='Dalu Perception']/text()"/></td>
                        <td>Perception: <xsl:value-of select="/character/datablock[@name='Gauru Form']/data[@name='Gauru Perception']/text()"/></td>
                        <td>Perception: <xsl:value-of select="/character/datablock[@name='Urshul Form']/data[@name='Urshul Perception']/text()"/></td>
                        <td>Perception: <xsl:value-of select="/character/datablock[@name='Urhan Form']/data[@name='Urhan Perception']/text()"/></td>
                    </tr>
                </table>
                <!-- Include Journals, if available. -->
                <xsl:for-each select="//article">
                    <p> 
                        <article>
                            <xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
                            <h3><xsl:value-of select="@title"/></h3>
                            <xsl:for-each select="span">
                                <span>
                                    <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
                                    <xsl:value-of select="text()"/>
                                    <xsl:if test="br">
                                        <br />
                                    </xsl:if>
                                </span>
                            </xsl:for-each>
                        </article>
                    </p>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>